> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# productcategory

> GenericMDOProvider reads MDO lists with default settings

## "productcategory" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'productcategory'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/productcategory
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("productcategory", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                | StyleHint | ExtraInfo |
| -- | ------------------- | --------- | --------- |
| 3  | Demotivational      |           |           |
| 1  | Life is good        |           |           |
| 2  | Life is not so good |           |           |

## Related MDO Lists

* "productcategoryheadings"
* "productcategoryheadingswithallitem"
* "productcategoryheadingswithallitemwithnoselection"
* "productcategoryheadingswithnoselection"
* "productcategorywithallitem"
* "productcategorywithallitemwithnoselection"
* "productcategorywithnoselection"


## Related topics

- [ProductCategory table](/en/database/tables/productcategory.md)
- [SuperOffice.WebApi.Data.ProductCategory](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProductCategory.md)
- [ProductCategoryGroupLink table](/en/database/tables/productcategorygrouplink.md)
- [ProductCategoryHeadingLink table](/en/database/tables/productcategoryheadinglink.md)
- [SuperOffice.WebApi.Data.QuoteLine](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteLine.md)
- [SuperOffice.WebApi.Data.Product](/en/api/reference/webapi/SuperOffice.WebApi.Data.Product.md)
